Package ru.bitel.bgbilling.kernel.contract.api.common.bean

# Class Contract

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.bgbilling.kernel.contract.api.common.bean.Contract

All Implemented Interfaces:
  `java.io.Serializable`, `GuiTitlable`, `Idable`, `ListItem`

    public class Contract
    extends IdTitle

Bean договора. По возможности старайтесь используйте этот bean, а не тот что в серверной части. Почти идентичен старому бину, только не содержит тарифы и опции.

See Also:
  Serialized Form

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `static int` | `CREDIT_BALANCE_MODE` |
  `static int` | `DEBET_BALANCE_MODE` |
  `static int` | `IS_INDEPENDENT` |
  `static int` | `IS_SUPER` |
  `static int` | `SUB_MODE_DEPENDENT` |
  `static int` | `SUB_MODE_INDEPENDENT` |

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `title`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `Contract()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.math.BigDecimal` | `getBalanceLimit()` | Возвращает лимит остатка договора.
  `byte` | `getBalanceMode()` | Возвращает режим баланса договора `DEBET_BALANCE_MODE` либо `CREDIT_BALANCE_MODE`.
  `byte` | `getBalanceSubMode()` | Возвращает тип субдоговора, может быть SUB_MODE_DEPEND_BALANCE либо SUB_MODE_INDEPEND_BALANCE из `KernelConst`.
  `java.lang.String` | `getComment()` | Возвращает комментарий договора.
  `java.util.Date` | `getDateFrom()` | Возвращает дату начала договора.
  `java.util.Date` | `getDateTo()` | Возвращает дату закрытия договора.
  `java.lang.String` | `getDependSubList()` | Возвращает список субдоговоров с зависимым балансом.
  `int` | `getDomainId()` | ID домена
  `long` | `getGroups()` | Получение битовой маски групп договора.
  `int` | `getParamGroupId()` | Возвращает код группы параметров договора.
  `java.lang.String` | `getPassword()` | Возвращает пароль договора.
  `byte` | `getPersonType()` | Возвращает тип договора.
  `byte` | `getStatus()` | Возвращает текущий статус договора, доступные статусы перечислены в `KernelConst`.
  `java.util.Date` | `getStatusTimeChange()` | Возвращает дату установки текущего статуса договора.
  `int` | `getSuperCid()` | Возвращает код супердоговора.
  `int` | `getTitlePatternId()` | Возвращает код шаблона имени.
  `boolean` | `isActualDate​(java.util.Date date)` | период действия договора попадает на указанную дату (в основном для проверки на закрытость)
  `boolean` | `isDependSub()` | Договор является субдоговором с зависимым балансом
  `boolean` | `isHidden()` | Возвращает скрытость договора.
  `boolean` | `isIndependSub()` | Договор является субдоговором с независимым балансом
  `boolean` | `isSub()` | Договор является субдоговором.
  `boolean` | `isSuper()` | Договор является супердоговором.
  `void` | `setBalanceLimit​(java.math.BigDecimal limit)` | Установка лимита остатка.
  `void` | `setBalanceMode​(byte balanceMode)` | Устанаваливает режим баланса договора `DEBET_BALANCE_MODE` либо `CREDIT_BALANCE_MODE`.
  `void` | `setBalanceSubMode​(byte balanceSubMode)` | Устанавливает тип субдоговора, может быть SUB_MODE_DEPEND_BALANCE либо SUB_MODE_INDEPEND_BALANCE из `KernelConst`.
  `void` | `setComment​(java.lang.String comment)` | Устанавливает комментарий договора.
  `void` | `setDateFrom​(java.util.Date dateFrom)` | Устанавливает дату начала действия договора.
  `void` | `setDateTo​(java.util.Date dateTo)` | Устанавливает дату закрытия договора.
  `void` | `setDependSubList​(java.lang.String dependSubList)` | Установка списка субдоговоров с зависимым балансом.
  `void` | `setDomainId​(int domainId)` |
  `void` | `setGroups​(long groups)` | Установка битовой маски групп.
  `void` | `setHidden​(boolean hidden)` | Устанавливает признак скрытости договора.
  `void` | `setParamGroupId​(int paramGroupId)` | Устанавливает группу параметров договора.
  `void` | `setPassword​(java.lang.String password)` | Устанавливает пароль договора.
  `void` | `setPersonType​(byte personType)` | Устанавливает тип договора.
  `void` | `setStatus​(byte status)` | Устанавливает текущий статус договора, доступные статусы перечислены в `KernelConst`.
  `void` | `setStatusTimeChange​(java.util.Date statusTimeChange)` | Устанавливает дату установки текущего статуса договора.
  `void` | `setSuperCid​(int superCid)` | Устанавливает код супердоговора.
  `void` | `setTitlePatternId​(int titlePatternId)` | Устанавливает код шаблона имени.
  `java.lang.String` | `toString()` |

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setTitle, toIdTitle`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Field Details

  - ### CREDIT_BALANCE_MODE

    public static final int CREDIT_BALANCE_MODE
    See Also:
      Constant Field Values

  - ### DEBET_BALANCE_MODE

    public static final int DEBET_BALANCE_MODE
    See Also:
      Constant Field Values

  - ### IS_SUPER

    public static final int IS_SUPER
    See Also:
      Constant Field Values

  - ### IS_INDEPENDENT

    public static final int IS_INDEPENDENT
    See Also:
      Constant Field Values

  - ### SUB_MODE_DEPENDENT

    public static final int SUB_MODE_DEPENDENT
    See Also:
      Constant Field Values

  - ### SUB_MODE_INDEPENDENT

    public static final int SUB_MODE_INDEPENDENT
    See Also:
      Constant Field Values

- ## Constructor Details

  - ### Contract

    public Contract()

- ## Method Details

  - ### toString

    public java.lang.String toString()
    Overrides:
      `toString` in class `IdTitle`

  - ### getGroups

    public long getGroups()
    Получение битовой маски групп договора.

  - ### setGroups

    public void setGroups​(long groups)
    Установка битовой маски групп.

  - ### getPassword

    public java.lang.String getPassword()
    Возвращает пароль договора.

  - ### setPassword

    public void setPassword​(java.lang.String password)
    Устанавливает пароль договора.

  - ### getDateFrom

    public java.util.Date getDateFrom()
    Возвращает дату начала договора.

  - ### setDateFrom

    public void setDateFrom​(java.util.Date dateFrom)
    Устанавливает дату начала действия договора.

  - ### getDateTo

    public java.util.Date getDateTo()
    Возвращает дату закрытия договора.

  - ### setDateTo

    public void setDateTo​(java.util.Date dateTo)
    Устанавливает дату закрытия договора.

  - ### getBalanceMode

    public byte getBalanceMode()
    Возвращает режим баланса договора `DEBET_BALANCE_MODE` либо `CREDIT_BALANCE_MODE`.

  - ### setBalanceMode

    public void setBalanceMode​(byte balanceMode)
    Устанаваливает режим баланса договора `DEBET_BALANCE_MODE` либо `CREDIT_BALANCE_MODE`.

  - ### getBalanceLimit

    public java.math.BigDecimal getBalanceLimit()
    Возвращает лимит остатка договора.

  - ### setBalanceLimit

    public void setBalanceLimit​(java.math.BigDecimal limit)
    Установка лимита остатка.

  - ### getParamGroupId

    public int getParamGroupId()
    Возвращает код группы параметров договора.

  - ### setParamGroupId

    public void setParamGroupId​(int paramGroupId)
    Устанавливает группу параметров договора.

  - ### getPersonType

    public byte getPersonType()
    Возвращает тип договора.
    Returns:
      0 - физ. лицо, 1 - юр. лицо.

  - ### setPersonType

    public void setPersonType​(byte personType)
    Устанавливает тип договора.
    Parameters:
      `fc` - 0 - юр. лицо, 1 - физ. лицо.

  - ### getComment

    public java.lang.String getComment()
    Возвращает комментарий договора.

  - ### setComment

    public void setComment​(java.lang.String comment)
    Устанавливает комментарий договора.

  - ### isHidden

    public boolean isHidden()
    Возвращает скрытость договора.
    Returns:
      true - договор скрыт.

  - ### setHidden

    public void setHidden​(boolean hidden)
    Устанавливает признак скрытости договора. true - договор скрыт.

  - ### getSuperCid

    public int getSuperCid()
    Возвращает код супердоговора.

  - ### setSuperCid

    public void setSuperCid​(int superCid)
    Устанавливает код супердоговора.

  - ### getDependSubList

    public java.lang.String getDependSubList()
    Возвращает список субдоговоров с зависимым балансом.

  - ### setDependSubList

    public void setDependSubList​(java.lang.String dependSubList)
    Установка списка субдоговоров с зависимым балансом.

  - ### getStatus

    public byte getStatus()
    Возвращает текущий статус договора, доступные статусы перечислены в `KernelConst`.

  - ### setStatus

    public void setStatus​(byte status)
    Устанавливает текущий статус договора, доступные статусы перечислены в `KernelConst`.

  - ### getStatusTimeChange

    public java.util.Date getStatusTimeChange()
    Возвращает дату установки текущего статуса договора.

  - ### setStatusTimeChange

    public void setStatusTimeChange​(java.util.Date statusTimeChange)
    Устанавливает дату установки текущего статуса договора.

  - ### getTitlePatternId

    public int getTitlePatternId()
    Возвращает код шаблона имени.

  - ### setTitlePatternId

    public void setTitlePatternId​(int titlePatternId)
    Устанавливает код шаблона имени.

  - ### getBalanceSubMode

    public byte getBalanceSubMode()
    Возвращает тип субдоговора, может быть SUB_MODE_DEPEND_BALANCE либо SUB_MODE_INDEPEND_BALANCE из `KernelConst`.

  - ### setBalanceSubMode

    public void setBalanceSubMode​(byte balanceSubMode)
    Устанавливает тип субдоговора, может быть SUB_MODE_DEPEND_BALANCE либо SUB_MODE_INDEPEND_BALANCE из `KernelConst`.

  - ### isSuper

    public boolean isSuper()
    Договор является супердоговором.

  - ### isSub

    public boolean isSub()
    Договор является субдоговором.

  - ### isDependSub

    public boolean isDependSub()
    Договор является субдоговором с зависимым балансом

  - ### isIndependSub

    public boolean isIndependSub()
    Договор является субдоговором с независимым балансом

  - ### isActualDate

    public boolean isActualDate​(java.util.Date date)
    период действия договора попадает на указанную дату (в основном для проверки на закрытость)

  - ### getDomainId

    public int getDomainId()
    ID домена
    Returns:
    See Also:
      `Domain`

  - ### setDomainId

    public void setDomainId​(int domainId)